#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	alsa-lib
Version		:	1.2.10
Release		:	17.2.0.rel%{?dist}
Summary		:	The Advanced Linux Sound Architecture (ALSA) library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.alsa-project.org/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
alsa-lib contains the user space library that developers compile ALSA
applications against.

#-----------------------------------------------------------------------------
%files			
%doc COPYING MEMORY-LEAK
%defattr(-, root,root, 0755)
%{_includedir}/asoundlib.h
%{_includedir}/alsa/*.h
%{_includedir}/alsa/sound/*.h
%{_includedir}/alsa/sound/uapi/*.h
%{_includedir}/sys/*.h
%{_bindir}/aserver
%{_libdir}/libasound.so*
%{_libdir}/libatopology.so*
%{_libdir}/pkgconfig/alsa.pc
%{_libdir}/pkgconfig/alsa-topology.pc
%{_datadir}/alsa/*
%{_datadir}/aclocal/alsa.m4

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoconf -f -i
./configure							\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
